Subject: bug#17522: diff-mode frustrates attempt to correct corrupted diff file.

From: Glenn Morris <[email-masked]>
Date: Mon, 19 May 2014 11:39:04 -0400

It's presumably a useful thing to do when the diff is not corrupt, so
diff-mode would have to recognise when a diff is corrupt and turn off
this behaviour. A non-corrupt diff seems the more likely case?